.\"	$NetBSD: newfs_sysvbfs.8,v 1.4 2009/04/09 10:37:55 pooka Exp $
.\"
.\" Copyright (c) 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)newlfs.8	8.1 (Berkeley) 6/19/93
.\"
.Dd April 9, 2009
.Dt NEWFS_SYSVBFS 8
.Os
.Sh NAME
.Nm newfs_sysvbfs
.Nd construct a new System V Boot File System
.Sh SYNOPSIS
.Nm
.Op Fl FZ
.Op Fl s Ar sectors
.Ar special
.Sh DESCRIPTION
.Nm
builds a System V boot file system on the specified special.
If it is a device, the size information will be taken from the disk label and
before running
.Nm
the disk must be labeled using
.Xr disklabel 8 ;
the proper fstype is
.Dq SysVBFS .
Otherwise, the size must be specified on the command line.
.Pp
The following arguments are supported:
.Bl -tag -width Fl
.It Fl F
Create file system to a regular file.
.It Fl s Ar sectors
Create file system with specified number of disk sectors.
.It Fl Z
Fill file with zeroes instead of creating a sparse file.
.El
.Sh SEE ALSO
.Xr disklabel 5 ,
.Xr disktab 5 ,
.\" .Xr fs 5 ,
.Xr disklabel 8 ,
.Xr diskpart 8
.Sh HISTORY
A
.Nm
command first appeared in
.Nx 4.0 .
.Sh BUGS
The sysvbfs support is still experimental and there are few sanity checks.
